org.bouncycastle.asn1.cmp

## Class GenRepContent

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.GenRepContent

All Implemented Interfaces:
  DEREncodable

    public class GenRepContent
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`static GenRepContent` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` GenRepContent ::= SEQUENCE OF InfoTypeAndValue
`InfoTypeAndValue[]` `toInfoTypeAndValueArray()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static GenRepContent getInstance(java.lang.Object o)

#### toInfoTypeAndValueArray

    public InfoTypeAndValue[] toInfoTypeAndValueArray()

#### toASN1Object

    public DERObject toASN1Object()

     GenRepContent ::= SEQUENCE OF InfoTypeAndValue

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.